Subject: load hub and session issue

Description

sorry I was trying to delete my duplicated comment and accidentally deleted the original issue Rebecca created, and I was not able to

recover it. sorry again!

What Rebecca did:

Yesterday I thought we determined that if you load a data hub, then load a session using the session ID that the data hub remains

loaded. This isn't the case today.

I loaded the Roadmaps GEO data hub, then loaded my session via the "Retrieve" function in the session app: sOUAwdcOFm. When I

go to add more tracks, the data hub is no longer loaded.

Similarly, when I go through the URL the hub is no longer loaded either. I thought though that if I do no refresh my browser instance,

the hub would remain loaded.

What I tested:

    1. load Roadmap hub

    2. retrieve an session from Apps

    3. click the status (Roadmap tracks are in the track table)

    4. save session status

    5. click new save status link

    6. Roadmap hub need be reloaded (and could be reloaded)

Another issue for Rebecca's demo is only shown tracks are saved in session, the hidden tracks are gone and could not be

searched/added after restoring session.

History

#1 - 10/15/2014 10:23 am - Rebecca Lowdon

- File Screen Shot 2014-10-15 at 10.07.25 AM.png added

- File Screen Shot 2014-10-15 at 10.13.32 AM.png added

- File Screen Shot 2014-10-15 at 10.15.49 AM.png added

- File Screen Shot 2014-10-15 at 10.16.22 AM.png added

- File Screen Shot 2014-10-15 at 10.17.52 AM.png added

Another weird bug. The number of tracks loaded does not make sense. This is what I did:

1. I first loaded my session ID: ddSQFzBWvS

2. Enter the "1) EDC locus" version

3. Enter my gene set

SPRR1A

SPRR2A

SPRR2B

SPRR2D

SPRR2C
SPRR2E

SPRR2G

SPRR2F

SPRR3

SPRR4

4. Enter GSV

5. Click "Tracks" and the total # of tracks = 14 (see image 1 attached). I thought there should only be 8 tracks total. The "6 displayed" is correct.

Next I re-entered the sessions app an entered the "1) EDC locus" status (there are 2 of these now, we need to delete one).

When I go back to the browser now it says there are 22 tracks available (see second attached image).

When I go to the facet table, now it says for Fetal cells/tissues there are "6/16" epigenetic mark tracks (image4). When I click the "6/16" I see that

every track is loaded multiple times (image 3), probably as many times as I opened a new version of the session. It seems like if you do NOT refresh

the browser but go back to reload another version of your current session, all the tracks are loaded again, causing duplicates of the exact same track.

To test this, I again opened a new version of the same session in the SAME browser instance (no refresh). I choose "2) H3K9me3 matplot" this time.

Now the browser says there are 28 tracks (image 5).

Note if I go to the Sessions app and open the LINK to a session version, the total track number is correct.

#2 - 10/15/2014 10:52 am - Rebecca Lowdon

- File Screen Shot 2014-10-15 at 10.49.58 AM.png added

- File Screen Shot 2014-10-15 at 10.48.24 AM.png added

Modify this again.

1. opened new browser instance.

2. Load session ID ddSQFzBWvS

3. Click "Link" button for version "2) H3K9me3 maplot" to open new tab.

The matplot is displayed, good.

    -  There are only 5/5 datasets -- the 2 RNA seq tracks have disappeared. Image 1

    -  Also the facet table is organized by "human donor" as columns. Image 2

#3 - 10/15/2014 10:55 am - Rebecca Lowdon

- File Screen Shot 2014-10-15 at 10.53.27 AM.png added

Re-loading sessions in the same instance also duplicates the Gene set view.

#4 - 10/15/2014 11:15 am - Xin Zhou

- Status changed from New to Resolved

Rebecca Lowdon wrote:

Another weird bug. The number of tracks loaded does not make sense. This is what I did:

1. I first loaded my session ID: ddSQFzBWvS

2. Enter the "1) EDC locus" version
3. Enter my gene set

SPRR1A

SPRR2A

SPRR2B

SPRR2D

SPRR2C

SPRR2E

SPRR2G

SPRR2F

SPRR3

SPRR4

4. Enter GSV

5. Click "Tracks" and the total # of tracks = 14 (see image 1 attached). I thought there should only be 8 tracks total. The "6 displayed" is correct.

Next I re-entered the sessions app an entered the "1) EDC locus" status (there are 2 of these now, we need to delete one).

When I go back to the browser now it says there are 22 tracks available (see second attached image).

When I go to the facet table, now it says for Fetal cells/tissues there are "6/16" epigenetic mark tracks (image4). When I click the "6/16" I see that

every track is loaded multiple times (image 3), probably as many times as I opened a new version of the session. It seems like if you do NOT

refresh the browser but go back to reload another version of your current session, all the tracks are loaded again, causing duplicates of the exact

same track.

To test this, I again opened a new version of the same session in the SAME browser instance (no refresh). I choose "2) H3K9me3 matplot" this

time. Now the browser says there are 28 tracks (image 5).

Note if I go to the Sessions app and open the LINK to a session version, the total track number is correct.

I have fixed this issue, please try:

Open new browser instance (refresh browser for once)

Load "1) EDC" from ddSQFzBWvS, shows 6 (or 8 depending on which)

Load "1) EDC" AGAIN, total # tracks stays the same
